Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TModelInfo

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TModelInfo

public class TModelInfo
extends java.lang.Object

TModelInfo contains a collection of TModelKeys

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`TModelInfo()` Class constructor.

Method Summary
`Name` | `getName()` Gets the value of the name.
`java.lang.String` | `getTModelKey()` Gets the value of the tModelKey.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(java.lang.String value)` Sets the name string.
`void` | `setTModelKey(java.lang.String value)` Sets the value of the tModel key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInfo

    public TModelInfo()

  Class constructor.

Method Detail

### getName

    public Name getName()

  Gets the value of the name.

  Returns:
    the current value of the name.

### setName

    public void setName(java.lang.String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### getTModelKey

    public java.lang.String getTModelKey()

  Gets the value of the tModelKey.

  Returns:
    the current value of the tModelKey.

### setTModelKey

    public void setTModelKey(java.lang.String value)

  Sets the value of the tModel key.

  Parameters:
    `value` - the new value of the tModel key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference